### Function

# Gimp ParamSpecObject duplicate

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_object_duplicate (
      GParamSpec* pspec
    )

#### Description [src]

This function duplicates `pspec` appropriately, depending on the accurate spec type.

#### Parameters

`pspec`

  Type: `GParamSpec`

  A `GimpParamSpecObject`.

  The data is owned by the caller of the function.

#### Return value

Type: `GParamSpec`

A newly created param spec.

The data is owned by the called function.